eliminate old Chiliproject sources

parent ba82cd2f

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

[submodule "vendor/plugins/redmine_bots_filter"]
path = vendor/plugins/redmine_bots_filter
url = git://github.com/edavis10/redmine_bots_filter.git
[submodule "vendor/plugins/redmine_scm"]
path = vendor/plugins/redmine_scm
url = git://github.com/splendeo/redmine_scm.git
[submodule "vendor/plugins/fast_user_lock"]
path = vendor/plugins/fast_user_lock
url = git://github.com/splendeo/fast_user_lock.git
[submodule "vendor/plugins/redmine_sympa"]
path = vendor/plugins/redmine_sympa
url = git://github.com/splendeo/redmine_sympa.git
[submodule "vendor/plugins/redmine-gitolite"]
path = vendor/plugins/redmine-gitolite
url = git://github.com/splendeo/redmine-gitolite.git
[submodule "vendor/plugins/featured_projects"]
path = vendor/plugins/featured_projects
url = git://github.com/splendeo/featured_projects.git
[submodule "vendor/plugins/redmine_project_filtering"]
path = vendor/plugins/redmine_project_filtering
url = git://github.com/splendeo/redmine_project_filtering.git
[submodule "public/themes/ohwr-theme"]
path = public/themes/ohwr-theme
url = git://github.com/splendeo/ohwr-theme.git
[submodule "vendor/plugins/chiliproject_companies"]
path = vendor/plugins/chiliproject_companies
url = git://github.com/splendeo/chiliproject_companies.git
[submodule "vendor/plugins/chiliproject_licenses"]
path = vendor/plugins/chiliproject_licenses
url = git://github.com/splendeo/chiliproject_licenses.git
[submodule "vendor/plugins/chiliproject_add_html_class_to_boolean_custom_fields"]
path = vendor/plugins/chiliproject_add_html_class_to_boolean_custom_fields
url = git://github.com/splendeo/chiliproject_add_html_class_to_boolean_custom_fields.git
source :rubygems
gem "rails", "2.3.18"
gem "json", "~> 1.7.7"
gem "coderay", "~> 0.9.7"
gem "i18n", "~> 0.4.2"
gem "rubytree", "~> 0.5.2", :require => 'tree'
gem "rdoc", ">= 2.4.2"
# Needed only on RUBY_VERSION = 1.8, ruby 1.9+ compatible interpreters should bring their csv
gem "fastercsv", "~> 1.5.0", :platforms => [:ruby_18, :jruby, :mingw_18]
gem 'newrelic_rpm'
gem "airbrake", :require => 'airbrake/rails'
group :test do
gem 'shoulda', '~> 2.10.3'
gem 'edavis10-object_daddy', :require => 'object_daddy'
gem 'mocha'
gem 'capybara'
end
group :ldap do
gem "net-ldap", '~> 0.2.2'
end
group :openid do
gem "ruby-openid", '~> 2.1.4', :require => 'openid'
end
group :rmagick do
gem "rmagick", ">= 1.15.17"
# Older distributions might not have a sufficiently new ImageMagick version
# for the current rmagick release (current rmagick is rmagick 2, which
# requires ImageMagick 6.4.9 or later). If this is the case for you, comment
# the line above this comment block and uncomment the one underneath it to
# get an rmagick version known to work on older distributions.
#
# The following distributions are known to *not* ship with a usable
# ImageMagick version. There might be additional ones.
# * Ubuntu 9.10 and older
# * Debian Lenny 5.0 and older
# * CentOS 5 and older
# * RedHat 5 and older
#
#gem "rmagick", "< 2.0.0"
end
#Required by gitolite
gem "lockfile"
gem "net-ssh"
# Use the commented pure ruby gems, if you have not the needed prerequisites on
# board to compile the native ones. Note, that their use is discouraged, since
# their integration is propbably not that well tested and their are slower in
# orders of magnitude compared to their native counterparts. You have been
# warned.
#
platforms :mri do
group :postgres do
gem "pg", "~> 0.9.0"
# gem "postgres-pr"
end
end
platforms :mri_18, :mingw_18 do
group :sqlite do
gem "sqlite3-ruby", "< 1.3", :require => "sqlite3"
end
end
platforms :mri_19, :mingw_19 do
group :sqlite do
gem "sqlite3"
end
end
platforms :jruby do
gem "jruby-openssl"
group :mysql do
gem "activerecord-jdbcmysql-adapter"
end
group :postgres do
gem "activerecord-jdbcpostgresql-adapter"
end
group :sqlite do
gem "activerecord-jdbcsqlite3-adapter"
end
end
# Load a "local" Gemfile
gemfile_local = File.join(File.dirname(__FILE__), "Gemfile.local")
if File.readable?(gemfile_local)
puts "Loading #{gemfile_local} ..." if $DEBUG
instance_eval(File.read(gemfile_local))
end
# Load plugins' Gemfiles
["plugins", "chiliproject_plugins"].each do |plugin_path|
Dir.glob File.expand_path("../vendor/#{plugin_path}/*/Gemfile", __FILE__) do |file|
puts "Loading #{file} ..." if $DEBUG # `ruby -d` or `bundle -v`
instance_eval File.read(file)
end
end
GEM
remote: http://rubygems.org/
specs:
actionmailer (2.3.18)
actionpack (= 2.3.18)
actionpack (2.3.18)
activesupport (= 2.3.18)
rack (~> 1.1.0)
activerecord (2.3.18)
activesupport (= 2.3.18)
activeresource (2.3.18)
activesupport (= 2.3.18)
activesupport (2.3.18)
airbrake (3.1.8)
activesupport
builder
json
builder (3.2.0)
capybara (2.0.2)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 1.0.0)
childprocess (0.3.9)
ffi (~> 1.0, >= 1.0.11)
coderay (0.9.8)
edavis10-object_daddy (0.4.3)
fastercsv (1.5.5)
ffi (1.5.0)
i18n (0.4.2)
json (1.7.7)
lockfile (2.1.0)
metaclass (0.0.1)
mime-types (1.21)
mocha (0.13.3)
metaclass (~> 0.0.1)
multi_json (1.7.2)
net-ldap (0.2.2)
net-ssh (2.6.6)
newrelic_rpm (3.6.0.78)
nokogiri (1.5.9)
pg (0.9.0)
rack (1.1.6)
rack-test (0.6.2)
rack (>= 1.0)
rails (2.3.18)
actionmailer (= 2.3.18)
actionpack (= 2.3.18)
activerecord (= 2.3.18)
activeresource (= 2.3.18)
activesupport (= 2.3.18)
rake (>= 0.8.3)
rake (10.0.3)
rdoc (4.0.0)
json (~> 1.4)
rmagick (2.13.2)
ruby-openid (2.1.8)
rubytree (0.5.3)
rubyzip (0.9.9)
selenium-webdriver (2.31.0)
childprocess (>= 0.2.5)
multi_json (~> 1.0)
rubyzip
websocket (~> 1.0.4)
shoulda (2.10.3)
sqlite3 (1.3.7)
sqlite3-ruby (1.2.5)
websocket (1.0.7)
xpath (1.0.0)
nokogiri (~> 1.3)
PLATFORMS
ruby
DEPENDENCIES
activerecord-jdbcmysql-adapter
activerecord-jdbcpostgresql-adapter
activerecord-jdbcsqlite3-adapter
airbrake
capybara
coderay (~> 0.9.7)
edavis10-object_daddy
fastercsv (~> 1.5.0)
i18n (~> 0.4.2)
jruby-openssl
json (~> 1.7.7)
lockfile
mocha
net-ldap (~> 0.2.2)
net-ssh
newrelic_rpm
pg (~> 0.9.0)
rails (= 2.3.18)
rdoc (>= 2.4.2)
rmagick (>= 1.15.17)
ruby-openid (~> 2.1.4)
rubytree (~> 0.5.2)
shoulda (~> 2.10.3)
sqlite3
sqlite3-ruby (< 1.3)
# Add your own tasks in files placed in lib/tasks ending in .rake,
# for example lib/tasks/capistrano.rake, and they will automatically be available to Rake.
require(File.join(File.dirname(__FILE__), 'config', 'boot'))
require 'rake'
require 'rake/testtask'
require 'rdoc/task'
require 'tasks/rails'
require 'airbrake/tasks'
#-- encoding: UTF-8
#-- copyright
# ChiliProject is a project management system.
#
# Copyright (C) 2010-2013 the ChiliProject Team
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# See doc/COPYRIGHT.rdoc for more details.
#++
class AccountController < ApplicationController
include CustomFieldsHelper